Botan 1.10.17

Public Member Functions | List of all members
Botan::PRNG_Unseeded Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::PRNG_Unseeded:

## Public Member Functions
| PRNG_Unseeded (const std::string &algo)

## Detailed Description

PRNG_Unseeded Exception

Definition at line 89 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ PRNG_Unseeded()

Botan::PRNG_Unseeded::PRNG_Unseeded | ( | const std::string & | algo | ) |
| inline

Definition at line 91 of file exceptn.h.

91 :
92 Invalid_State("PRNG not seeded: " + algo)
93 {}
Botan::Invalid_State::Invalid_State
Invalid_State(const std::string &err)
Definition: exceptn.h:27

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h